org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class OrderTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.OrderTest

- Direct Known Subclasses:
    OrderTest.Traversals

      public abstract class OrderTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrderTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX()`
    `void` | `g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX()`
    `void` | `g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name()`
    `void` | `g_V_both_hasLabelXpersonX_order_byXage_descX_name()`
    `void` | `g_V_group_byXlabelX_byXname_order_byXdescX_foldX()`
    `void` | `g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX()`
    `void` | `g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX()`
    `void` | `g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX()`
    `void` | `g_V_hasLabelXpersonX_order_byXageX()`
    `void` | `g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name()`
    `void` | `g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name()`
    `void` | `g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX()`
    `void` | `g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX()`
    `void` | `g_V_name_order_byXa1_b1X_byXb2_a2X()`
    `void` | `g_V_name_order()`
    `void` | `g_V_order_byXname_a1_b1X_byXname_b2_a2X_name()`
    `void` | `g_V_order_byXname_ascX_name()`
    `void` | `g_V_order_byXname_incrX_name()`
    `void` | `g_V_order_byXnameX_name()`
    `void` | `g_V_order_byXoutE_count_descX()`
    `void` | `g_V_outE_order_byXweight_decrX_weight()`
    `void` | `g_V_outE_order_byXweight_descX_weight()`
    `void` | `g_V_properties_order_byXkey_descX_key()`
    `void` | `g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold()`
    `void` | `g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX()`
    `abstract Traversal<Vertex,Map<String,Vertex>>` | `get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_both_hasLabelXpersonX_order_byXage_descX_name()`
    `abstract Traversal<Vertex,Map<String,List<Vertex>>>` | `get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX()`
    `abstract Traversal<Vertex,List<Vertex>>` | `get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX()`
    `abstract Traversal<Vertex,Map.Entry<String,Number>>` | `get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXpersonX_order_byXageX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX()`
    `abstract Traversal<Vertex,List<Double>>` | `get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_name_order_byXa1_b1X_byXb2_a2X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_name_order()`
    `abstract Traversal<Vertex,String>` | `get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_order_byXname_ascX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_order_byXname_incrX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_order_byXnameX_name()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_order_byXoutE_count_descX()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_outE_order_byXweight_decrX_weight()`
    `abstract Traversal<Vertex,Double>` | `get_g_V_outE_order_byXweight_descX_weight()`
    `abstract Traversal<Vertex,String>` | `get_g_V_properties_order_byXkey_descX_key()`
    `abstract Traversal<Vertex,Map.Entry<Object,Object>>` | `get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold(Object v1Id)`
    `abstract Traversal<Vertex,Map<Integer,Integer>>` | `get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX(Object v1Id)`
    `Object` | `getKey(Object kv)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderTest

          public OrderTest()

  - ### Method Detail

    - #### get_g_V_name_order

          public abstract Traversal<Vertex,String> get_g_V_name_order()

    - #### get_g_V_name_order_byXa1_b1X_byXb2_a2X

          public abstract Traversal<Vertex,String> get_g_V_name_order_byXa1_b1X_byXb2_a2X()

    - #### get_g_V_order_byXname_incrX_name

          public abstract Traversal<Vertex,String> get_g_V_order_byXname_incrX_name()

    - #### get_g_V_order_byXname_ascX_name

          public abstract Traversal<Vertex,String> get_g_V_order_byXname_ascX_name()

    - #### get_g_V_order_byXnameX_name

          public abstract Traversal<Vertex,String> get_g_V_order_byXnameX_name()

    - #### get_g_V_outE_order_byXweight_decrX_weight

          public abstract Traversal<Vertex,Double> get_g_V_outE_order_byXweight_decrX_weight()

    - #### get_g_V_outE_order_byXweight_descX_weight

          public abstract Traversal<Vertex,Double> get_g_V_outE_order_byXweight_descX_weight()

    - #### get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name

          public abstract Traversal<Vertex,String> get_g_V_order_byXname_a1_b1X_byXname_b2_a2X_name()

    - #### get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Vertex>> get_g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX()

    - #### get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX

          public abstract Traversal<Vertex,Map<Integer,Integer>> get_g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX(Object v1Id)

    - #### get_g_V_order_byXoutE_count_descX

          public abstract Traversal<Vertex,Vertex> get_g_V_order_byXoutE_count_descX()

    - #### get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX

          public abstract Traversal<Vertex,Map<String,List<Vertex>>> get_g_V_group_byXlabelX_byXname_order_byXdescX_foldX()

    - #### get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX

          public abstract Traversal<Vertex,List<Double>> get_g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX()

    - #### get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX()

    - #### get_g_V_hasLabelXpersonX_order_byXageX

          public abstract Traversal<Vertex,Vertex> get_g_V_hasLabelXpersonX_order_byXageX()

    - #### get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX

          public abstract Traversal<Vertex,List<Vertex>> get_g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX()

    - #### get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name

          public abstract Traversal<Vertex,String> get_g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name()

    - #### get_g_V_properties_order_byXkey_descX_key

          public abstract Traversal<Vertex,String> get_g_V_properties_order_byXkey_descX_key()

    - #### get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX

          public abstract Traversal<Vertex,Vertex> get_g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX()

    - #### get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name

          public abstract Traversal<Vertex,String> get_g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name()

    - #### get_g_V_both_hasLabelXpersonX_order_byXage_descX_name

          public abstract Traversal<Vertex,String> get_g_V_both_hasLabelXpersonX_order_byXage_descX_name()

    - #### get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name

          public abstract Traversal<Vertex,String> get_g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name()

    - #### get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX()

    - #### get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX

          public abstract Traversal<Vertex,Map.Entry<String,Number>> get_g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX()

    - #### get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold

          public abstract Traversal<Vertex,Map.Entry<Object,Object>> get_g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold(Object v1Id)

    - #### g_V_name_order

          public void g_V_name_order()

    - #### g_V_name_order_byXa1_b1X_byXb2_a2X

          public void g_V_name_order_byXa1_b1X_byXb2_a2X()

    - #### g_V_order_byXname_incrX_name

          public void g_V_order_byXname_incrX_name()

    - #### g_V_order_byXname_ascX_name

          public void g_V_order_byXname_ascX_name()

    - #### g_V_order_byXnameX_name

          public void g_V_order_byXnameX_name()

    - #### g_V_outE_order_byXweight_decrX_weight

          public void g_V_outE_order_byXweight_decrX_weight()

    - #### g_V_outE_order_byXweight_descX_weight

          public void g_V_outE_order_byXweight_descX_weight()

    - #### g_V_order_byXname_a1_b1X_byXname_b2_a2X_name

          public void g_V_order_byXname_a1_b1X_byXname_b2_a2X_name()

    - #### g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX

          public void g_V_asXaX_outXcreatedX_asXbX_order_byXshuffleX_selectXa_bX()

    - #### g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX

          public void g_VX1X_hasXlabel_personX_mapXmapXint_ageXX_orderXlocalX_byXvalues_descX_byXkeys_ascX()

    - #### g_V_order_byXoutE_count_descX

          public void g_V_order_byXoutE_count_descX()

    - #### g_V_group_byXlabelX_byXname_order_byXdescX_foldX

          public void g_V_group_byXlabelX_byXname_order_byXdescX_foldX()

    - #### g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX

          public void g_V_mapXbothE_weight_foldX_order_byXsumXlocalX_descX()

    - #### g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX

          public void g_V_asXvX_mapXbothE_weight_foldX_sumXlocalX_asXsX_selectXv_sX_order_byXselectXsX_descX()

    - #### g_V_hasLabelXpersonX_order_byXageX

          public void g_V_hasLabelXpersonX_order_byXageX()

    - #### g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX

          public void g_V_hasLabelXpersonX_fold_orderXlocalX_byXageX()

    - #### g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name

          public void g_V_hasLabelXpersonX_order_byXvalueXageX_descX_name()

    - #### g_V_properties_order_byXkey_descX_key

          public void g_V_properties_order_byXkey_descX_key()

    - #### g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX

          public void g_V_hasXsong_name_OHBOYX_outXfollowedByX_outXfollowedByX_order_byXperformancesX_byXsongType_descX()

    - #### g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name

          public void g_V_both_hasLabelXpersonX_order_byXage_descX_limitX5X_name()

    - #### g_V_both_hasLabelXpersonX_order_byXage_descX_name

          public void g_V_both_hasLabelXpersonX_order_byXage_descX_name()

    - #### g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name

          public void g_V_hasLabelXsongX_order_byXperformances_descX_byXnameX_rangeX110_120X_name()

    - #### g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX

          public void g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_orderXlocalX_byXvaluesX()

    - #### g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX

          public void g_V_hasLabelXpersonX_group_byXnameX_byXoutE_weight_sumX_unfold_order_byXvalues_descX()

    - #### g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold

          public void g_VX1X_elementMap_orderXlocalX_byXkeys_descXunfold()

    - #### getKey

          public Object getKey(Object kv)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.